Page MenuHome

Eevee Viewport Shading Render Passes have problems once the saturation of the material becomes 1
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce MX130/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.19

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f
Worked: (optional)

Short description of error
Once the saturation of the base color in the Principled BSDF reach 1, the color will remain in the "Diffuse Direct/ Indirect", "Glossy Direct/Indirect" (if the metalic value is not 0). If you enable those passes in "Render Layer Properties" Tab, and hit render, and go to the compositor, you can see these passes in the final render is actually pure white.

Exact steps for others to reproduce the error
Based on the attched .blend file, which is a cube and a plane with a red default Principled BSDF Material. And the Viewport Shading Render Passes is currently set to "Diffuse Direct".

  1. Toggle renderded view, since it is currently set to "Diffuse Direct", you should normally see a white cube and a white plane, but you only see them being red.
  2. In the Shader Editor down below, change the saturation of the base color to any value other than 1, you can see the two becomes white.
  3. Turn the saturation back to 1. I have already enabled the passes in "Render Layer Properties" tab, so you only need to hit render image.
  4. After rendering, go to the compositor, you can see the "Diffuse Direct" pass is linked to a viewer node, so you can see the pass in the background. The pass displays a white cube and a white plane.

Event Timeline

Zijun Zhou (Eary) renamed this task from Viewport Shading Render Passes have problems once the saturation of the material becomes 1 to Cycles Viewport Shading Render Passes have problems once the saturation of the material becomes 1.Feb 21 2020, 6:38 AM
Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.Feb 24 2020, 1:08 PM
Richard Antalik (ISS) added a project: Cycles.

I just tested the new Eevee Diffuse Light pass in 2.83 daily build. the same bug goes to Eevee as well, but worse, the rendered Eevee diffuse pass in the compositor is also red. Please check both Cycles and Eevee.

Brecht Van Lommel (brecht) renamed this task from Cycles Viewport Shading Render Passes have problems once the saturation of the material becomes 1 to Eevee Viewport Shading Render Passes have problems once the saturation of the material becomes 1.Feb 25 2020, 7:53 PM
Brecht Van Lommel (brecht) reopened this task as Confirmed.
Brecht Van Lommel (brecht) removed Brecht Van Lommel (brecht) as the assignee of this task.
Brecht Van Lommel (brecht) edited projects, added EEVEE & Viewport, Eevee; removed Cycles.

@Jeroen Bakker (jbakker), @Clément Foucault (fclem), check safe_divide_even_color in Cycles for how to divide out the color in a way that keeps the cube gray.

Jeroen Bakker (jbakker) triaged this task as High priority.

Oh it's fixed now? Cool! By the way I discovered today that the "sheen" value in the Principled BSDF also affects the result, this is probably not a bug but I still would like to know why. Could anyone expain that for me?